Bug 961087 - no longer builds in rawhide due to glibmm changes
no longer builds in rawhide due to glibmm changes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkmm24 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 962137
  Show dependency treegraph
 
Reported: 2013-05-08 14:53 EDT by Colin Walters
Modified: 2013-06-28 09:02 EDT (History)
6 users (show)

See Also:
Fixed In Version: gtkmm24-2.24.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 05:24:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2013-05-08 14:53:15 EDT
In file included from color-profile.cpp:9:0:
/usr/include/gdkmm-2.4/gdkmm/color.h:61:10: error: 'GType' does not name a type
   static GType get_type() G_GNUC_CONST;
Comment 1 Colin Walters 2013-05-08 16:44:30 EDT
See https://bugzilla.gnome.org/show_bug.cgi?id=697835
Comment 2 Gwyn Ciesla 2013-05-14 11:45:04 EDT
The above is for inkscape.  I think the following for synfigstudio may be related.

http://kojipkgs.fedoraproject.org//work/tasks/9432/5379432/build.log
Comment 3 Kalev Lember 2013-05-14 14:38:34 EDT
Yes, these seem to be both related to the glibmm include changes in gtkmm 2.24.3. Some folks are looking into this upstream and we'll hopefully get a new release soon.
Comment 4 Gwyn Ciesla 2013-05-14 14:48:01 EDT
Cool, keep me posted. Thanks!
Comment 5 Gwyn Ciesla 2013-06-25 08:41:38 EDT
I tried to rebuild inkscape for the libpoppler soname bump today and it still fails with the glibmm issue, any progress?
Comment 6 Kalev Lember 2013-06-25 08:59:33 EDT
This doesn't seem to have gotten much attention upstream lately. I'll see what I can do about that.
Comment 7 Kalev Lember 2013-06-28 05:24:19 EDT
Should be fixed in gtkmm24-2.24.4-1.fc20.
Comment 8 Gwyn Ciesla 2013-06-28 09:02:59 EDT
Awesome, works, thanks!

Note You need to log in before you can comment on or make changes to this bug.